Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(695)

Issue 2541843003: arc: Reduce logspam when ARC is not enabled/available (Closed)

Created:
3 years, 10 months ago by Luis Héctor Chávez
Modified:
3 years, 10 months ago
Reviewers:
abhishekbh, Yusuke Sato
CC:
chromium-reviews, elijahtaylor+arcwatch_chromium.org, cbentzel+watch_chromium.org, yusukes+watch_chromium.org, abhishekbh_chromium.org, hidehiko+watch_chromium.org, lhchavez+watch_chromium.org, Sameer Nanda, oshima+watch_chromium.org, Kevin Cernekee, davemoore+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

arc: Reduce logspam when ARC is not enabled/available There are some Chrome services that unconditionally try to call ARC code, and the latter will print stuff to the log if it's not enabled or avilable (yet). This change ensures that we only attempt to contact ARC when it is actually ready for the most chatty services: net and process. BUG=654038 TEST=Opted out of ARC, did not see any logs Committed: https://crrev.com/edea73c00927636fe885af9205c668633e65a691 Cr-Commit-Position: refs/heads/master@{#435534}

Patch Set 1 #

Total comments: 9
Unified diffs Side-by-side diffs Delta from patch set Stats (+48 lines, -12 lines) Patch
M chrome/browser/chromeos/arc/process/arc_process_service.h View 2 chunks +7 lines, -3 lines 0 comments Download
M chrome/browser/chromeos/arc/process/arc_process_service.cc View 3 chunks +20 lines, -7 lines 4 comments Download
M components/arc/net/arc_net_host_impl.h View 2 chunks +5 lines, -0 lines 0 comments Download
M components/arc/net/arc_net_host_impl.cc View 3 chunks +16 lines, -2 lines 5 comments Download

Messages

Total messages: 17 (8 generated)
Luis Héctor Chávez
yusukes@ PTAL abhishekbh@ FYI
3 years, 10 months ago (2016-11-30 22:26:28 UTC) #4
Yusuke Sato
some questions below: https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc File chrome/browser/chromeos/arc/process/arc_process_service.cc (right): https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc#newcode248 chrome/browser/chromeos/arc/process/arc_process_service.cc:248: return false; I think this would ...
3 years, 10 months ago (2016-11-30 23:29:40 UTC) #7
Luis Héctor Chávez
https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc File chrome/browser/chromeos/arc/process/arc_process_service.cc (right): https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc#newcode248 chrome/browser/chromeos/arc/process/arc_process_service.cc:248: return false; On 2016/11/30 23:29:39, Yusuke Sato wrote: > ...
3 years, 10 months ago (2016-11-30 23:45:08 UTC) #8
Yusuke Sato
https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc File chrome/browser/chromeos/arc/process/arc_process_service.cc (right): https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc#newcode248 chrome/browser/chromeos/arc/process/arc_process_service.cc:248: return false; On 2016/11/30 23:45:08, Luis Héctor Chávez wrote: ...
3 years, 10 months ago (2016-11-30 23:59:30 UTC) #9
Yusuke Sato
lgtm https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc File chrome/browser/chromeos/arc/process/arc_process_service.cc (right): https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc#newcode248 chrome/browser/chromeos/arc/process/arc_process_service.cc:248: return false; Chatted with Luis offline. Let's keep ...
3 years, 10 months ago (2016-12-01 02:29:21 UTC) #10
Luis Héctor Chávez
On 2016/12/01 02:29:21, Yusuke Sato wrote: > lgtm > > https://codereview.chromium.org/2541843003/diff/1/chrome/browser/chromeos/arc/process/arc_process_service.cc > File chrome/browser/chromeos/arc/process/arc_process_service.cc (right): ...
3 years, 10 months ago (2016-12-01 02:40:29 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2541843003/1
3 years, 10 months ago (2016-12-01 02:41:04 UTC) #13
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 10 months ago (2016-12-01 02:45:46 UTC) #15
commit-bot: I haz the power
3 years, 10 months ago (2016-12-01 02:49:00 UTC) #17
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/edea73c00927636fe885af9205c668633e65a691
Cr-Commit-Position: refs/heads/master@{#435534}

Powered by Google App Engine
This is Rietveld 408576698